InstantGet Help - Powerful and Efficient Download Manager/Accelerator

Home Page

Powerful and Efficient Download Manager/Accelerator

Welcome to InstantGet Help!

InstantGet Homepage InstantGet is a powerful and easy to use download manager/accelerator for Windows 98/ME/2000/XP! It has many wonderful features.

If you have any problems with InstantGet please read Frequently Asked Questions.

InstantGet is shareware. The registration fee is US $24.95. Please read about registration by clicking here.

Feedback and Support
If you want to get the latest information about InstantGet, please visit InstantGet Homepage on the web. You can also download latest version of InstantGet at the homepage.

Please send any bug report, suggestion, question and comment to the author at following address. support@instantget.com.

Copyright © 2003-2007 Kylinsoft, Inc. All rights reserved.


InstantGet Help - What is InstantGet?

InstantGet

What is InstantGet?

InstantGet is a powerful and efficient download manager and accelerator, InstantGet splits downloading files into multiple sections, downloading each section simultaneously to increase downloading speed up to 5 times faster.
InstantGet provides rich management features, that make it easier to organize your downloads and manage proxies and sites. InstantGet has many convenient features especially for downloaded files; Downloaded files could be searched by URL, filename or comment; Features found in windows explorer could be found in InsteantGet too, right click on the downloaded files to popup an extended explorer context menu.
InstantGet supports ftp and http protocols, proxy servers, file redirects, cookies, directories with authorization, InstantGet integrates seamlessly into Microsoft Internet Explorer to automatically handle your downloads and can monitor clipboard. You can also drag and drop download URLs or use InstantGet from command line. InstantGet is capable of creating unlimited numbers of categories for your files. Download jobs can be placed in specifically-named categories for quick and easy access.

InstantGet is "Spyware", "Adware", and "Stealware" free!

Copyright © 2003-2006 Kylinsoft, Inc. All rights reserved.


InstantGet Help - Feature List

Feature List

  • Rich management features.
    Manage downloads, sites, proxies, dial up connections conveniently.
  • Ability to intercept 'File Download' in IE and WebBrowser applications (Internet Explorer 6.0 or greater).
  • Ability to search downloaded files by URL, filename or comment.
  • Integration of shell context menu on downloaded files.
  • Support both ftp and http protocols.
  • Support http/ftp/socks proxies.
  • Support http redirection, cookies, directories with authorization.
  • Clipboard monitoring.
  • Seemless browser integration(Internet Explorer, AcooBrowser, FireFox, Opera, Mozilla, NetCaptor, ...).
    Handle browser clicks, add to browser context menu, download all flashes from page, etc
  • Drag & drop URL into small floating window to start downloading.
  • Command line support.
  • Category management for download jobs.


InstantGet Help - How to Use

How to use InstantGet

  • Quick Start
  • Frequently Asked Questions
  • Support
  • Main Menu
  • Toolbar
  • Job
  • Management
  • Localization
  • Skins - Usage and Design
  • Registration


InstantGet Help - Quick Start

Quick Start

  • Start InstantGet
  • Select Tools/Preferences... in the main menu and, click on the "Site" tab, Select "Default Ftp Settings", type your email address in the "password" field. It will be used as a password during anonymous logins to FTP servers. In most cases it is just a matter of courtesy to provide your real email address to the server, but some servers will not allow you to login if the email address is wrong.
  • If you are connecting to the Internet using a dial-up connection, click on the "Dial-Up Networking" tab, Select "Connection" with your dial-up name and input your dial-up settings.
  • If you are using a proxy to connect to the Internet, click on the Proxies tab and add all proxies you are planning to use to the Proxy List. Select default proxies for FTP, HTTP.
  • OK, it's time to download something. See job page for more information.


InstantGet Help - FAQ

Frequently Asked Questions

How can I change the default download directory?

You can change it at "Category -> Properties...".

I found a bug in InstantGet. What should I do?

Please email to our support team at support@instantget.com, See support page for more information.

I suggest adding a feature. Where should I send the suggestion?

Please write an email to support@instantget.com. We would like to hear your questions/comments/suggestions at support@instantget.com!

Do I have to pay for upgrades?

No, you don't. If you've bought any version of InstantGet, you can upgrade to the latest version for FREE.

I want to disable downloading with InstantGet. How do I do this?

If you don't want InstantGet to take over any downloads from a browser, turn off the browser integration in InstantGet options. After turning off/on the browser integration in Tools/Preferences/Monitor, don't forget to restart the browser.

InstantGet doesn't take over a download. What is wrong?

InstantGet takes over a download if its type matches the list of types or extensions. You may edit the list of extensions in Tools/Preferences/Monitor.

Why I can't delete or rename the "others" category?

Because "others" is an InstantGet system reserved category.

The server I download from requires a login and password, where can I add it?

Unlike other download manager, InstantGet use site manager to manage username and password, therefore, you need add this site and edit the site's options to add the username and password.

The server I download from requires proxy server, where can I set up it?

Unlike other download manager, InstantGet use site manager to set up the use of proxy server, therefore, you need add this site and edit the site's options to set up the proxy server.


InstantGet Help - Support

InstantGet Support

You may contact us using the following email addresses:
  • Support Department: support@instantget.com
  • Sales Department: sales@instantget.com
If you have any problems with InstantGet please read:
  • InstantGet Frequently Asked Questions -- Answers to the questions most frequently asked by our users.
  • How to use
to see if there is no answer to your question.
If you didn't find an answer to your question in these documents, describe your problem to our [image] support team. Please make sure to include the following:
For downloading problems:
  • The URL to the file which you were trying to download.
  • Which OS are you running?
  • How do you connect to the Internet (through modem/local network/ADSL/etc.)?
  • The copy of log for this download (choose "Copy" from the right-click menu in the log area to copy it to clipboard).
  • InstantGet version (can be found in Help/About...).
  • Detailed (step-by-step) description of the error or what happened.
For installation problems:
  • InstantGet version (can be found in Help/About...).
  • Which OS are you running?
  • Did you register your copy of InstantGet?
  • When did you install InstantGet first time?
  • Detailed (step-by-step) description of the error or what happened.
For running InstantGet problems:
  • InstantGet version (can be found in Help/About...).
  • Which OS are you running?
  • Did you register your copy of InstantGet?
  • When did you install InstantGet first time?
  • Detailed (step-by-step) description of the error or what happened. How often does the problem repeat?
Technical support is free and unlimited by email. However, we reserve the right to terminate support to users who in our judgment are unreasonable or abusive or who have system or other difficulties that transcend the scope of this software.
Please note, that currently we can answer ONLY English email messages.


InstantGet Help - Menu Functions

Main Menu

The menu commands that are available depend on what is selected in the InstantGet window. Menu items that appear in gray either do not apply to the selected menu item or are unavailable.

The most important and frequently used commands are also displayed on the toolbar and can be accessed via the context menu (available by right mouse-click).

The menu items are listed below.

File Menu

  • Import List...: Import URL's list.
  • Export List...: Export URL's list.
  • Exit: Quit the application.

Edit Menu

  • Paste URL(Ctrl+V): Paste a URL that you've copied to the clipboard to create a new job.
  • Select All(Ctrl+A): Select all items.
  • Invert Selection: Reverse which items are selected and which are not.
  • Copy URL to Clipboard(Ctrl+C): Copy URL of selected item(s) to clipboard.
  • Find...(Ctrl+F): Find the specified item(s).
  • Properties...(Alt+Enter): Edit item properties.

View Menu

  • Floating Window: Show or hide the floating window.
  • Traffic Graph: Show or hide traffic graph.
  • Status Bar: Show or hide the status bar.
  • Toolbar - Show: Show or hide the toolbar.
  • Toolbar - Customize...: Customize toolbar.
  • Panes - Information Pane: Show or hide the information pane.
  • Panes - Category Pane: Show or hide category pane.
  • Jobs Queue - Show Grid: Show or hide the grid of jobs list.
  • Jobs Queue - Display Size in Bytes: Display file size in bytes in jobs list.
  • Jobs Queue - Columns...: Configure the columns displayed in the jobs list.
  • Downloaded List - Show Grid: Show or hide the grid of downloaded files list.
  • Downloaded List - Display Size in Bytes: Display file size in bytes in downloaded files list.
  • Downloaded List - Columns...: Configure the columns displayed in the downloaded files list.
  • Jobs/Downloaded Files(Ctrl+Tab):Show jobs queue or downloaded files list.
  • Interface Language: Change your language here.

Category Menu

  • New Category...: Create a new category.
  • Remove Category: Delete the category.
  • New Download...: Add new download in the category.
  • Set as Default: Set as default category.
  • Folder Explore: Open the folder of category.
  • Folder Properties...: Folder properties.
  • Properties...: Category properties.

Jobs Menu

  • New Download...: Add new download.
  • Batch Download...: Add batch download.
  • Delete(Delete): Delete selected job(s).
  • Schedule: Schedule job(s).
  • Start(Ctrl+Shift+S): Start transferring selected job(s).
  • Pause(Ctrl+Shift+P): Pause selected job(s).
  • Start All(Ctrl+Alt+S): Start all downloads.
  • Pause All(Ctrl+Alt+P): Pause all downloads.
  • Copy URL to Clipboard(Ctrl+C): Copy URL of selected job(s) to clipboard.
  • Move Up(Ctrl+Up): Move the selected item(s) up.
  • Move Down(Ctrl+Down): Move the selected item(s) down.
  • Download Again: Download selected job again(Redo from 0%).
  • Properties...(Alt+Enter): Edit job properties.
  • Preferences...: Change jobs options.

Downloaded Menu

  • Downloaded Properties...(Alt+Enter): Edit downloaded properties.
  • Folder Explore(Ctrl+Enter): Open downloaded files' destination directory.
  • Copy URL to Clipboard(Ctrl+C): Copy URL of selected file(s) to clipboard.
  • Copy File Path to Clipboard: Copy file path to clipboard.
  • Delete(Delete): Delete selected file(s).
  • Download Again: Download selected file again.
  • Preferences...: Change downloaded options.

Tools Menu

  • Connect/Disconnect: Connect/Disconnect from phone line.
  • Preferences(Alt+P): Change options.

Help Menu

  • User Manual(F1): Online user manual.
  • Feedback: Send us feedback about InstantGet.
  • Tell A Friend: Tell A Friend.
  • InstantGet &Homepage: Go to the InstantGet homepage.
  • Check for Update: Check for a new version of InstantGet.
  • Order Online: Order InstantGet Online.
  • Enter Registration Code...: Enter Registration Code.
  • About InstantGet...: Display program information and copyright.


InstantGet Help - Toolbar

Toolbar

The toolbar provides buttons that access some of the frequently used commands in the menus. To activate a command, click its toolbar button. If a command is unavailable, its button appears grayed-out.

When you place the mouse pointer over a toolbar button, the popup description of its function appears. The functions of toolbar buttons are listed below.

Button Name | Button Image | Description
About |  | Display program information and copyright.
User Manual |  | Online user manual.
Preferences |  | Change options.
Add new download |  | Add new download job.
Start |  | Start transferring selected job(s).
Pause download |  | Pause selected job(s).
Delete |  | Delete selected item(s).
Move Up |  | Move the selected item(s) up.
Move Down |  | Move the selected item(s) down.
Find |  | Find the specified item(s).
Connect/Disconnect |  | Connect/Disconnect from phone line.
External Tools |  | Add, remove, modify or launch the external tools.
Jobs/Downloaded Files |  | Show jobs queue or downloaded files list.
Show/Hide Floating Window |  | Show or hide the floating window.
Exit |  | Quit the application.


InstantGet Help - Job

How to Add a Download to Jobs Queue

There are several ways you can add a download, and you can use any of them.
Microsoft Internet Explorer, MSN Explorer, NetCaptor or NeoPlanet:
  • Just click on the download link/button and an InstantGet dialog will appear instead of standard Save As... dialog.
  • Choose "Download with InstantGet" in context menu (right click on the link to invoke it).
Floating Window: The InstantGet floating window accepts drag and drop in many different formats.
  • Drag the link from your favorite browser (including graphic links) and drop it to InstantGet floating window.
  • Select a fragment of the web page with your mouse in the browser window and then drag it to the floating window. All links embedded in the fragment will be added to the Job List.
  • A list of URLs from the text editor (each URL should be on a separate line).
Command line parameters: If a URL specified as command line parameters when InstantGet is started, will add a new Job to the jobs queue. Only one instance of InstantGet can run at any given time. If you start InstantGet.exe with command line parameters when the program is running, it will just add the URL to the jobs queue.
Also there are a few ways apart from above:
  • You can select File/Import List... to import a list of URLs.
  • You can select Jobs/Batch Download... to add batch of URLs with a pattern in their names.
  • You can use Copy Shortcut in your browser and then manually add it to the queue by pressing Ctrl+V or by clicking the Add button.
  • You can use Copy Shortcut in your browser, then right click on the InstantGet icon in the System Tray and select New download... from the menu.
  • Or, you can use Copy Shortcut in your browser, then right click on the floating window and select New download... from the menu.
  • Finally, you may type-in the necessary URL manually after clicking the Add button.
After you click a link or click the Add button the Properties dialog appears where you can edit properties of your download. If you want to save the file with another name type this name in the Save As field. Press OK when done editing.

Change the View of Jobs List

You can direct drag the list header to change the order of jobs list header or you can right click on the jobs list header for set up more options. In Jobs/Preference..., you can also change the progress bar color and set up columns.


InstantGet Help - Management

Change the View of Downloaded Files List

You can direct drag the list header to change the order of downloaded files list header or you can right click on the jobs list header for set up more options. In Downloaded/Preference..., you can also set up columns.
You can right click on the downloaded files to popup an extended explorer context menu just like windows explorer to manage your downloaded files.
You can sort downloaded file with complete time by click the list header.


InstantGet Help - Localization

Localization

Choose "View->Interface Language->Language Name" from the menu to switch InstantGet into localized interface of the selected language. Localization will be applied immediately. No restarting is needed.
You are always welcome to make contribution to InstantGet localization. You can either create a new language file or improve an existing language file.
After editing the language files, you can email the updated language file to us so that we can include the changes in the next release. Your changes about un-translated entries will always be included. However, to modify an entry that have been translated, you need check whether a language file has been assigned to a chief translator. If it has, you need contact the chief translator by email and suggest possible improvements.
If you are interested in being a chief translator for a particular language, please don't hesitate to contact us. Being a chief translator is a volunteer job making InstantGet more friendly to non-English users.

Available Language Files and Author Credits


InstantGet Help - Skins - Usage and Design

Skins

Using Skins

Select "View->Skins->Select Skins.." to activate the dialog for selecting skins. In the dialog, you can click <apply> button to apply the selected skin on InstantGet. You can also double-click an item to apply the skin. Click <ok> button to apply the selected skin and dismiss the dialog.

Select "View->Skins->Disable Skins" to restore InstantGet to its original appearance without skin.

Design your own skins

If you don't want to look at the following configuration details, draw the window frame and button images and mail it to us. We'll create the skin for you.

To start designing your own skin, go to InstantGet installation directory, change into "skins" directory and then create a sub-directory with the name of the new skin, for example, "my skin". Create a file named "skin.ini" under the newly created directory. You have to write configuration information in "skin.ini" and put necessary images under the same directory. All pictures must be windows bmp files currently.

skin.ini should start with this line: [general]. Specify one option in each line below. An option line should be in the form of "OptionName=OptionValue". If you want to use default value for that option, simply remove that line.

Window Frame

You have two choices for the window frame, i.e., simple-fill frame and custom frame.

Simple-fill frame
In this way, you will design a skin based on a round-rectangle frame with a simple filling pattern. You need to supply the following parameters,
FrameRect=left,top,right,bottom
Define the thickness on the four sides of the frame. You can write "FrameRect=default" and it will be set to "6,29,6,6". The top side is thicker because it includes the caption. You must specify this option so that this skin is treated as a simple-fill frame.
FrameCorner=radius
Define the radius of the frame corner, or how round the corner is. Set 0 if you want to have square corner.
FrameFill=picturefile
Specify the picture file which will be used as the filling pattern for the window frame. The default value is "framefill.bmp".
Custom Frame
If you haven't specified the option "FrameRect" in the configuration file, the skin will be treated as a custom frame. You have to include up to 12 images to define the frame. They are,

topleft.bmp, top.bmp, topright.bmp,
lefttop.bmp(optional), left.bmp, leftbottom.bmp(optional),
righttop.bmp(optional), right.bmp, rightbottom.bmp(optional),
bottomleft.bmp, bottom.bmp, bottomright.bmp.

Please notice that the top-left corner is included in topleft.bmp(instead of lefttop.bmp); the top-right corner is included in topright.bmp; the bottom-left corner is included in bottomleft.bmp, the bottom-right corner is included in bottom-right.bmp. Also notice that left.bmp, bottom.bmp, left.bmp and right.bmp should be rectangular in shape because they will be tiled to adapt to actual window size.

Custom Buttons

There are four buttons to be located on the window frame. You can supply an image file for each of the buttons. Each image file must contain four images for the button in normal, hot(when mouse is over), down and disabled states, respectively. The four images should be aligned from left to right in the order mentioned above. The four buttons are minimize button, maximize button, close button and system button.

minimize button: min.bmp
maxmize button: max.bmp
close button: close.bmp
system button: sys.bmp

Windows 3.x and unix has a system button while win95 or later replace the system button with an icon. The users click the system button to get a drop down system menu. You can use InstantGet icon image as the system button by specifying this option: SystemIcon=true. This option has a default value of true. If you want to use sys.bmp as the image for the system button, you should specify: SystemIcon=false.

Caption

CapTextColor=Red, Green, Blue
Specify the caption text color by RGB value.
CapRect=left, top, right, bottom
Specify the bounding rectangle of caption text. The <right> value should be specified as the negative of the distance from the right end of the caption.


InstantGet Help - Installing InstantGet

Installing InstantGet

To install InstantGet, please follow the steps below. In addition, the set of minimum system and software requirements are listed below.

  1. Shutdown All Microsoft Internet Explorer

  2. Download the latest version of InstantGet from the InstantGet website, or if you have a copy of it already, run the setup.exe or InstantGet.exe program.

Note If none of the above options are successful for installing InstantGet, please contact customer support.

System and Software Requirements

In order to run InstantGet, your computer will need to meet the following system requirements:

Internet Explorer 5.0 or greater.
Microsoft Windows 98, Millenium Edition, 2000 or XP.
Pentium 200 mhz processor or higher and 32 MB of RAM.
At least 6 megabytes of free hard drive space available.


InstantGet Help - Uninstalling InstantGet

Uninstalling InstantGet

There are two ways to uninstall InstantGet completely from your computer. To complete uninstall, you will need to shutdown all Microsoft Internet Explorer before you run the uninstallation utility, and reboot after you run the uninstallation utility.

  1. You can uninstall InstantGet from your Program menu. To do this, click the Uninstall InstantGet menu choice located in your InstantGet Programs menu. Click Start, click Programs, click InstantGet, select Uninstall. Once this starts, follow the instructions to remove the program.

  2. Or, you can also uninstall InstantGet by clicking Start, click Settings, select Control Panel. Double click Add/Remove Programs, Select InstantGet, follow the instructions to remove the program.


InstantGet Help - Registration

InstantGet Registration

You'll get the following advantages after the registration:

  • additional features not available in the trial version (see below)
  • unlimited free email support
  • the license to use InstantGet on one computer for any purpose
  • FREE upgrade to ALL new versions of InstantGet
  • you will support InstantGet development to make it even better

After the registration you'll get additional features (not available in the trial version):

  • No usage limitations
  • Split sections of one downloading file can be up to 10
  • Batch download enabled
  • Ability to add new category unlimitedly
The registration fee is US $24.95; All necessary information will be sent within one business day after the purchase.
click InstantGet registration/purchase page to proceed


InstantGet Help - Credits

Credits

  • Keyvan Barband, Keyvan_Barband@Yahoo.com
    Helps with logo and icon design.